import { Data } from "../Data";

export class ExchangeResultData extends Data {
    /**
     * 订单状态    0：订单处理中    1：购买成功
     */
    public status: string;


    public update(result: any): void {
        if (!result) {
            return;
        }
        super.update(result);

        let data;
        if (result.data) {
            data = result.data;
        }

        if(data){
            this.status = data.status;
        }
    }
}
